import { TextGlyph } from '../text-structure';
export declare class _TextGlyphMapper {
    _text: string;
    _glyph: TextGlyph[];
    _isHex: boolean;
    text: string;
    glyph: TextGlyph[];
    _applyEscapeSequence(text: string): string;
    _getText(): string;
    _replacedText(text: string, glyphs: TextGlyph[]): string;
    _getReplacedCharacter(glyphs: TextGlyph[]): number;
}
